400
invalid_requestThe request did not satisfy the documented contract.
Beladed Marketing API
Create Integration through the reviewed Beladed Marketing contract.
/api/marketing/integration/createcurl --request POST 'https://api.beladed.dev/api/marketing/integration/create' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Beladed-API-Key: BELADED_SECRET_KEY' \
--data '{
"workspaceId": "id_demo_001",
"name": "Mailchimp Email Integration",
"description": "Integration with Mailchimp for email marketing automation",
"type": "email_marketing",
"category": "email",
"status": "active",
"configuration": {
"apiKey": "BELADED_CREDENTIAL",
"serverPrefix": "us1",
"listId": "abc123def456",
"webhookUrl": "https://api.beladed.com/webhooks/mailchimp",
"syncFrequency": "realtime",
"autoSync": true
},
"capabilities": [
"create_contact",
"update_contact"
],
"dataMapping": {
"contactFields": {
"email": "[email protected]",
"firstName": "FNAME",
"lastName": "LNAME",
"company": "tok_beladed_visa"
},
"customFields": {
"leadScore": "LEAD_SCORE",
"source": "SOURCE"
}
},
"webhookEvents": [
"subscribe",
"unsubscribe"
]
}'const response = await fetch("https://api.beladed.dev/api/marketing/integration/create", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"X-Beladed-API-Key": "BELADED_SECRET_KEY"
},
body: JSON.stringify({
"workspaceId": "id_demo_001",
"name": "Mailchimp Email Integration",
"description": "Integration with Mailchimp for email marketing automation",
"type": "email_marketing",
"category": "email",
"status": "active",
"configuration": {
"apiKey": "BELADED_CREDENTIAL",
"serverPrefix": "us1",
"listId": "abc123def456",
"webhookUrl": "https://api.beladed.com/webhooks/mailchimp",
"syncFrequency": "realtime",
"autoSync": true
},
"capabilities": [
"create_contact",
"update_contact"
],
"dataMapping": {
"contactFields": {
"email": "[email protected]",
"firstName": "FNAME",
"lastName": "LNAME",
"company": "tok_beladed_visa"
},
"customFields": {
"leadScore": "LEAD_SCORE",
"source": "SOURCE"
}
},
"webhookEvents": [
"subscribe",
"unsubscribe"
]
})
});
const data = await response.json();import requests
response = requests.request(
"POST",
"https://api.beladed.dev/api/marketing/integration/create",
headers={"Accept":"application/json","Content-Type":"application/json","X-Beladed-API-Key":"BELADED_SECRET_KEY"},
json={
"workspaceId": "id_demo_001",
"name": "Mailchimp Email Integration",
"description": "Integration with Mailchimp for email marketing automation",
"type": "email_marketing",
"category": "email",
"status": "active",
"configuration": {
"apiKey": "BELADED_CREDENTIAL",
"serverPrefix": "us1",
"listId": "abc123def456",
"webhookUrl": "https://api.beladed.com/webhooks/mailchimp",
"syncFrequency": "realtime",
"autoSync": true
},
"capabilities": [
"create_contact",
"update_contact"
],
"dataMapping": {
"contactFields": {
"email": "[email protected]",
"firstName": "FNAME",
"lastName": "LNAME",
"company": "tok_beladed_visa"
},
"customFields": {
"leadScore": "LEAD_SCORE",
"source": "SOURCE"
}
},
"webhookEvents": [
"subscribe",
"unsubscribe"
]
},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/marketing/integration/create");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => ["Accept: application/json","Content-Type: application/json","X-Beladed-API-Key: BELADED_SECRET_KEY"],
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode({
"workspaceId": "id_demo_001",
"name": "Mailchimp Email Integration",
"description": "Integration with Mailchimp for email marketing automation",
"type": "email_marketing",
"category": "email",
"status": "active",
"configuration": {
"apiKey": "BELADED_CREDENTIAL",
"serverPrefix": "us1",
"listId": "abc123def456",
"webhookUrl": "https://api.beladed.com/webhooks/mailchimp",
"syncFrequency": "realtime",
"autoSync": true
},
"capabilities": [
"create_contact",
"update_contact"
],
"dataMapping": {
"contactFields": {
"email": "[email protected]",
"firstName": "FNAME",
"lastName": "LNAME",
"company": "tok_beladed_visa"
},
"customFields": {
"leadScore": "LEAD_SCORE",
"source": "SOURCE"
}
},
"webhookEvents": [
"subscribe",
"unsubscribe"
]
}),
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/marketing/integration/create")
request = Net::HTTP::Post.new(uri)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["X-Beladed-API-Key"] = "BELADED_SECRET_KEY"
request.body = "{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/marketing/integration/create"))
.header("Accept", "application/json")
.header("Content-Type", "application/json")
.header("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", java.net.http.HttpRequest.BodyPublishers.ofString("{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}"))
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}")
request, err := http.NewRequest("POST", "https://api.beladed.dev/api/marketing/integration/create", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
request.Header.Set("Content-Type", "application/json")
request.Header.Set("X-Beladed-API-Key", "BELADED_SECRET_KEY")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("POST"), "https://api.beladed.dev/api/marketing/integration/create");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Headers.TryAddWithoutValidation("X-Beladed-API-Key", "BELADED_SECRET_KEY");
request.Content = new StringContent("{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}", System.Text.Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/marketing/integration/create")!)
request.httpMethod = "POST"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.setValue("BELADED_SECRET_KEY", forHTTPHeaderField: "X-Beladed-API-Key")
request.httpBody = "{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}".data(using: .utf8)
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/marketing/integration/create")
.addHeader("Accept", "application/json")
.addHeader("Content-Type", "application/json")
.addHeader("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", okhttp3.RequestBody.create(okhttp3.MediaType.get("application/json"), "{\n \"workspaceId\": \"id_demo_001\",\n \"name\": \"Mailchimp Email Integration\",\n \"description\": \"Integration with Mailchimp for email marketing automation\",\n \"type\": \"email_marketing\",\n \"category\": \"email\",\n \"status\": \"active\",\n \"configuration\": {\n \"apiKey\": \"BELADED_CREDENTIAL\",\n \"serverPrefix\": \"us1\",\n \"listId\": \"abc123def456\",\n \"webhookUrl\": \"https://api.beladed.com/webhooks/mailchimp\",\n \"syncFrequency\": \"realtime\",\n \"autoSync\": true\n },\n \"capabilities\": [\n \"create_contact\",\n \"update_contact\"\n ],\n \"dataMapping\": {\n \"contactFields\": {\n \"email\": \"[email protected]\",\n \"firstName\": \"FNAME\",\n \"lastName\": \"LNAME\",\n \"company\": \"tok_beladed_visa\"\n },\n \"customFields\": {\n \"leadScore\": \"LEAD_SCORE\",\n \"source\": \"SOURCE\"\n }\n },\n \"webhookEvents\": [\n \"subscribe\",\n \"unsubscribe\"\n ]\n}"))
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
This operation has no documented parameters.
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"type": {
"type": "string"
},
"category": {
"type": "string"
},
"status": {
"type": "string"
},
"configuration": {
"type": "object",
"properties": {
"apiKey": {
"type": "string"
},
"serverPrefix": {
"type": "string"
},
"listId": {
"type": "string"
},
"webhookUrl": {
"type": "string"
},
"syncFrequency": {
"type": "string"
},
"autoSync": {
"type": "boolean"
}
}
},
"capabilities": {
"type": "array",
"items": {
"type": "string"
}
},
"dataMapping": {
"type": "object",
"properties": {
"contactFields": {
"type": "object",
"properties": {
"email": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"company": {
"type": "string"
}
}
},
"customFields": {
"type": "object",
"properties": {
"leadScore": {
"type": "string"
},
"source": {
"type": "string"
}
}
}
}
},
"webhookEvents": {
"type": "array",
"items": {
"type": "string"
}
}
}
}{
"workspaceId": "id_demo_001",
"name": "Mailchimp Email Integration",
"description": "Integration with Mailchimp for email marketing automation",
"type": "email_marketing",
"category": "email",
"status": "active",
"configuration": {
"apiKey": "BELADED_CREDENTIAL",
"serverPrefix": "us1",
"listId": "abc123def456",
"webhookUrl": "https://api.beladed.com/webhooks/mailchimp",
"syncFrequency": "realtime",
"autoSync": true
},
"capabilities": [
"create_contact",
"update_contact"
],
"dataMapping": {
"contactFields": {
"email": "[email protected]",
"firstName": "FNAME",
"lastName": "LNAME",
"company": "tok_beladed_visa"
},
"customFields": {
"leadScore": "LEAD_SCORE",
"source": "SOURCE"
}
},
"webhookEvents": [
"subscribe",
"unsubscribe"
]
}
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
authentication_requiredThe credential is missing or invalid.
not_authorizedThe account, product scope, permission, or origin is not eligible.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.